NVML API Reference Guide (PDF) - vR331 (older) - Last updated March 14, 2014 - Send Feedback

## 5.1. nvmlAccountingStats_t Struct Reference

## [Accounting Statistics]

Describes accounting statistics of a process.

### Public Variables

unsigned int gpuUtilization
unsigned long long maxMemoryUsage
unsigned int memoryUtilization
unsigned long long time
  Amount of time in ms during which the compute context was active.

### Variables

unsigned int nvmlAccountingStats_t::gpuUtilization [inherited]

  Percent of time over the process's lifetime during which one or more kernels was executing on the GPU. Utilization stats just like returned by nvmlDeviceGetUtilizationRates but for the life time of a process (not just the last sample period). Set to NVML_VALUE_NOT_AVAILABLE if nvmlDeviceGetUtilizationRates is not supported

unsigned long long nvmlAccountingStats_t::maxMemoryUsage [inherited]

  Maximum total memory in bytes that was ever allocated by the process. Set to NVML_VALUE_NOT_AVAILABLE if nvmlProcessInfo_t->usedGpuMemory is not supported

unsigned int nvmlAccountingStats_t::memoryUtilization [inherited]

  Percent of time over the process's lifetime during which global (device) memory was being read or written. Set to NVML_VALUE_NOT_AVAILABLE if nvmlDeviceGetUtilizationRates is not supported

unsigned long long nvmlAccountingStats_t::time [inherited]

  Amount of time in ms during which the compute context was active.

NVML API Reference Guide (PDF) - vR331 (older) - Last updated March 14, 2014 - Send Feedback